## xdoclet.modules.jboss.jmx
Class JMXTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.tagshandler.AbstractProgramElementTagsHandler
                  xdoclet.tagshandler.ClassTagsHandler
                      xdoclet.modules.jboss.jmx.JMXTagsHandler

public class JMXTagsHandler
extends ClassTagsHandler

Author:
  Michael Newcomb
xdoclet.taghandler
  namespace="JMX"
created
  April 17, 2003

Field Summary

Fields inherited from class xdoclet.tagshandler.ClassTagsHandler
`dateFormatter, now`

Fields inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`currentToken, matchPattern, tagTokenizer`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`JMXTagsHandler()`

Method Summary
`String` `managedAttributeType()`

Methods inherited from class xdoclet.tagshandler.ClassTagsHandler

`classComment, classCommentTags, classCommentText, className, classOf, classTagValue, classTagValueMatch, firstSentenceDescription, forAllClasses, forAllClassTags, forAllClassTagTokens, forAllDistinctClassTags, forAllDistinctClassTags, fullClassName, fullSuperclassName, fullTransformedClassName, getClassNameFor, getFullClassNameFor, ifClassTagValueEquals, ifClassTagValueMatches, ifClassTagValueNotEquals, ifDoesntHaveClassTag, ifHasClassTag, ifIsClassAbstract, ifIsClassNotAbstract, importedList, modifiers, pushClass, symbolicClassName, transformedClassName`

Methods inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`checkForWrap, currentToken, exceptionList, firstSentenceDescriptionOfCurrentMember, forAllMembers, forAllMemberTags, forAllMemberTagTokens, getAllClasses, getFullSuperclassNameFor, getIndentChars, getXExecutableMemberForMemberName, getXExecutableMemberForMemberName, hasExecutableMember_OLD, hasExecutableMember, makeCopyOfArray, matchValue, memberComment, setMatchValue, skipToken`

Methods inherited from class xdoclet.XDocletTagSupport

`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMXTagsHandler

    public JMXTagsHandler()

Method Detail

### managedAttributeType

    public String managedAttributeType()
                                throws XDocletException

  Throws:
    `XDocletException`

http://xdoclet.sourceforge.net/